"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tableStore = exports.TableStoreTrigger = void 0;
const base_1 = require("./base");
/**
 * https://help.aliyun.com/document_detail/100092.html
 */
class TableStoreTrigger extends base_1.FCBaseTrigger {
    async toArgs() {
        const event = {
            Version: 'string',
            Records: [
                {
                    Type: 'string',
                    Info: {
                        Timestamp: Date.now(),
                    },
                    PrimaryKey: [
                        {
                            ColumnName: 'string',
                            Value: 'new event',
                        },
                    ],
                    Columns: [
                        {
                            Type: 'string',
                            ColumnName: 'string',
                            Value: 'new event',
                            Timestamp: Date.now(),
                        },
                    ],
                },
            ],
        };
        return [event, this.createContext()];
    }
}
exports.TableStoreTrigger = TableStoreTrigger;
exports.tableStore = TableStoreTrigger;
//# sourceMappingURL=tableStore.js.map